Use this API to request the deletion of all data associated with a specific visitor ID.
Upon a request to delete data for a visitor ID,
The following timeline illustrates which events are deleted and which remain after a DELETE API request:
Day 1: First visit from browser A. (Assigned visitor ID: VID1000)
Day 2: Browser A revisits. (Assigned the same visitor ID: VID1000)
Day 13: Browser A revisits. (Assigned the same visitor ID: VID1000)
Day 14: Delete VID1000
Day 15: Browser A re-visits. (Assigned a different visitor ID: VID9999)
Day 15: GET /events/day-13 (Returns 404. The event is within the 10 days of deleting VID1000 and will have been deleted)
Day 16: GET /events/day-2 (Returns 200. The event is outside of the 10 days of deleting VID1000 and is still available)
This API is available only for Enterprise plans upon request. If you are interested, please contact our support team.
The rate limits and daily quota for this API differ from those for our other API.
The maximum number of DELETE requests that can be made in an hour cannot exceed 30 RPH, and the maximum number that can be made in a day cannot exceed 500 RPD.
You can request an increase to these limits by contacting our support team.
Documentation Index
Fetch the complete documentation index at: https://docs.fingerprint.com/llms.txt
Use this file to discover all available pages before exploring further.
The visitor ID you want to delete.
OK. The visitor ID is scheduled for deletion.